#include <bits/stdc++.h>

using namespace std;

int f(int a[],int l,int r)
{
    int br=0,i=l,j=l+1;
    for(;j<=r;i++,j++)
    {
        if(br>=2) return br;
        if(a[j]<a[i])
        {
            br++;
            if(a[j]<a[i-1]&&i!=l) br++;
        }
    }
    return br;
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int n;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++) cin>>a[i];
    int q,o=0;
    cin>>q;
    int odg[q];
    for(int i=0;i<q;i++)
    {
        int x,y;
        cin>>x>>y;
        odg[o]=f(a,x-1,y-1);
        o++;
    }
    for(int i=0;i<q;i++)
    {
        if(odg[i]>=2) cout<<"NE"<<endl;
        else cout<<"DA"<<endl;
    }
    return 0;
}